import request from '@/utils/network/request';

/**
 * 获取学校列表
 */
export function getSchoolList() {
	return request({
		url: '/api/user.ashx?act=getschoollist',
		method: 'GET'
	})
}

/**
 * 获取年纪列表
 */
export function getGradeList () {
	return request({
		url: '/api/user.ashx?act=getgradelist',
		method: 'GET'
	})
}

/**
 * 获取科目列表
 */
export function getSubjectList () {
	return request({
		url: '/api/user.ashx?act=getsubjectlist',
		method: 'GET'
	})
}

/**
 * 获取知识点
 */
export function getKnowledgeList (data) {
	return request({
		url: '/api/user.ashx?act=getknowledgelist',
		method: 'GET',
		data
	})
}
